OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.NV.GPUMulticast

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetNVGPUMulticast :: MonadIO m => m Bool
- gl_NV_gpu_multicast :: Bool
- pattern GL_MULTICAST_GPUS_NV :: GLenum
- pattern GL_MULTICAST_PROGRAMMABLE_SAMPLE_LOCATION_NV :: GLenum
- pattern GL_PER_GPU_STORAGE_BIT_NV :: GLbitfield
- pattern GL_PER_GPU_STORAGE_NV :: GLenum
- pattern GL_RENDER_GPU_MASK_NV :: GLenum
- glMulticastBarrierNV :: MonadIO m => m ()
- glMulticastBlitFramebufferNV :: MonadIO m => GLuint -> GLuint -> GLint -> GLint -> GLint -> GLint -> GLint -> GLint -> GLint -> GLint -> GLbitfield -> GLenum -> m ()
- glMulticastBufferSubDataNV :: MonadIO m => GLbitfield -> GLuint -> GLintptr -> GLsizeiptr -> Ptr a -> m ()
- glMulticastCopyBufferSubDataNV :: MonadIO m => GLuint -> GLbitfield -> GLuint -> GLuint -> GLintptr -> GLintptr -> GLsizeiptr -> m ()
- glMulticastCopyImageSubDataNV :: MonadIO m => GLuint -> GLbitfield -> GLuint -> GLenum -> GLint -> GLint -> GLint -> GLint -> GLuint -> GLenum -> GLint -> GLint -> GLint -> GLint -> GLsizei -> GLsizei -> GLsizei -> m ()
- glMulticastFramebufferSampleLocationsfvNV :: MonadIO m => GLuint -> GLuint -> GLuint -> GLsizei -> Ptr GLfloat -> m ()
- glMulticastGetQueryObjecti64vNV :: MonadIO m => GLuint -> GLuint -> GLenum -> Ptr GLint64 -> m ()
- glMulticastGetQueryObjectivNV :: MonadIO m => GLuint -> GLuint -> GLenum -> Ptr GLint -> m ()
- glMulticastGetQueryObjectui64vNV :: MonadIO m => GLuint -> GLuint -> GLenum -> Ptr GLuint64 -> m ()
- glMulticastGetQueryObjectuivNV :: MonadIO m => GLuint -> GLuint -> GLenum -> Ptr GLuint -> m ()
- glMulticastWaitSyncNV :: MonadIO m => GLuint -> GLbitfield -> m ()
- glRenderGpuMaskNV :: MonadIO m => GLbitfield -> m ()

# Extension Support

glGetNVGPUMulticast :: MonadIO m => m Bool Source #

Is the NV_gpu_multicast extension supported?

gl_NV_gpu_multicast :: Bool Source #

Is the NV_gpu_multicast extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetNVGPUMulticast` in those cases instead.

# Enums

pattern GL_MULTICAST_GPUS_NV :: GLenum Source #

pattern GL_MULTICAST_PROGRAMMABLE_SAMPLE_LOCATION_NV :: GLenum Source #

pattern GL_PER_GPU_STORAGE_BIT_NV :: GLbitfield Source #

pattern GL_PER_GPU_STORAGE_NV :: GLenum Source #

pattern GL_RENDER_GPU_MASK_NV :: GLenum Source #

# Functions

glMulticastBarrierNV :: MonadIO m => m () Source #

glMulticastBlitFramebufferNV Source #

Arguments

:: MonadIO m |
=> GLuint | `srcGpu`.
-> GLuint | `dstGpu`.
-> GLint | `srcX0`.
-> GLint | `srcY0`.
-> GLint | `srcX1`.
-> GLint | `srcY1`.
-> GLint | `dstX0`.
-> GLint | `dstY0`.
-> GLint | `dstX1`.
-> GLint | `dstY1`.
-> GLbitfield | `mask` of type ClearBufferMask.
-> GLenum | `filter`.
-> m () |

glMulticastBufferSubDataNV Source #

Arguments

:: MonadIO m |
=> GLbitfield | `gpuMask`.
-> GLuint | `buffer`.
-> GLintptr | `offset`.
-> GLsizeiptr | `size`.
-> Ptr a | `data`.
-> m () |

glMulticastCopyBufferSubDataNV Source #

Arguments

:: MonadIO m |
=> GLuint | `readGpu`.
-> GLbitfield | `writeGpuMask`.
-> GLuint | `readBuffer`.
-> GLuint | `writeBuffer`.
-> GLintptr | `readOffset`.
-> GLintptr | `writeOffset`.
-> GLsizeiptr | `size`.
-> m () |

glMulticastCopyImageSubDataNV Source #

Arguments

:: MonadIO m |
=> GLuint | `srcGpu`.
-> GLbitfield | `dstGpuMask`.
-> GLuint | `srcName`.
-> GLenum | `srcTarget`.
-> GLint | `srcLevel`.
-> GLint | `srcX`.
-> GLint | `srcY`.
-> GLint | `srcZ`.
-> GLuint | `dstName`.
-> GLenum | `dstTarget`.
-> GLint | `dstLevel`.
-> GLint | `dstX`.
-> GLint | `dstY`.
-> GLint | `dstZ`.
-> GLsizei | `srcWidth`.
-> GLsizei | `srcHeight`.
-> GLsizei | `srcDepth`.
-> m () |

glMulticastFramebufferSampleLocationsfvNV Source #

Arguments

:: MonadIO m |
=> GLuint | `gpu`.
-> GLuint | `framebuffer`.
-> GLuint | `start`.
-> GLsizei | `count`.
-> Ptr GLfloat | `v`.
-> m () |

glMulticastGetQueryObjecti64vNV Source #

Arguments

:: MonadIO m |
=> GLuint | `gpu`.
-> GLuint | `id`.
-> GLenum | `pname`.
-> Ptr GLint64 | `params`.
-> m () |

glMulticastGetQueryObjectivNV Source #

Arguments

:: MonadIO m |
=> GLuint | `gpu`.
-> GLuint | `id`.
-> GLenum | `pname`.
-> Ptr GLint | `params`.
-> m () |

glMulticastGetQueryObjectui64vNV Source #

Arguments

:: MonadIO m |
=> GLuint | `gpu`.
-> GLuint | `id`.
-> GLenum | `pname`.
-> Ptr GLuint64 | `params`.
-> m () |

glMulticastGetQueryObjectuivNV Source #

Arguments

:: MonadIO m |
=> GLuint | `gpu`.
-> GLuint | `id`.
-> GLenum | `pname`.
-> Ptr GLuint | `params`.
-> m () |

glMulticastWaitSyncNV Source #

Arguments

:: MonadIO m |
=> GLuint | `signalGpu`.
-> GLbitfield | `waitGpuMask`.
-> m () |

glRenderGpuMaskNV Source #

Arguments

:: MonadIO m |
=> GLbitfield | `mask`.
-> m () |